> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Partner

> Update a webhook partner's configuration

Updates the configuration of a registered webhook partner. Only the owning instance can modify a partner. The webhook URL, if updated, must use HTTPS.

## Path Parameters

<ParamField path="partnerId" type="string" required>
  ID of the webhook partner to update.
</ParamField>

## Request Body

Accepts any combination of updatable fields. Only provided fields are changed.

<ParamField body="name" type="string">
  Updated display name.
</ParamField>

<ParamField body="webhookUrl" type="string">
  Updated HTTPS delivery URL.
</ParamField>

<ParamField body="active" type="boolean">
  Set to `false` to disable webhook delivery without deleting the registration.
</ParamField>

## Response Fields

<ResponseField name="success" type="boolean">Request status.</ResponseField>

<ResponseField name="data" type="object">
  <Expandable>
    <ResponseField name="id" type="string">Partner ID.</ResponseField>
    <ResponseField name="name" type="string">Display name.</ResponseField>
    <ResponseField name="webhookUrl" type="string">Delivery URL.</ResponseField>
    <ResponseField name="active" type="boolean">Whether deliveries are enabled.</ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH "https://api.trusset.org/stocks/api/webhooks/partners/wh_abc123" \
    -H "Content-Type: application/json" \
    -H "X-API-Key: trusset_abc123xy_secret..." \
    -d '{
      "webhookUrl": "https://api.example.com/webhooks/trusset-v2",
      "active": true
    }'
  ```

  ```typescript TypeScript theme={null}
  const response = await fetch(
    `https://api.trusset.org/stocks/api/webhooks/partners/${partnerId}`,
    {
      method: 'PATCH',
      headers: {
        'Content-Type': 'application/json',
        'X-API-Key': 'trusset_abc123xy_secret...'
      },
      body: JSON.stringify({
        webhookUrl: 'https://api.example.com/webhooks/trusset-v2',
        active: true
      })
    }
  );
  const { data } = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "wh_abc123",
      "name": "Settlement System",
      "webhookUrl": "https://api.example.com/webhooks/trusset-v2",
      "active": true
    },
    "metadata": {
      "requestId": "550e8400-e29b-41d4-a716-446655440000",
      "timestamp": "2025-06-15T12:00:00.000Z",
      "instanceId": "inst_abc123"
    }
  }
  ```

  ```json Error - Not Found theme={null}
  {
    "success": false,
    "error": {
      "code": "NOT_FOUND",
      "message": "Partner not found"
    },
    "metadata": {
      "requestId": "550e8400-e29b-41d4-a716-446655440000",
      "timestamp": "2025-06-15T12:00:00.000Z",
      "instanceId": "inst_abc123"
    }
  }
  ```
</ResponseExample>
